oowhereis(1)

NAME
oowhereis - OOC file finder

SYNOPSIS
oowhereis [options] <file-name>
oowhereis [options] <module-name>

DESCRIPTION
oowhereis searches the configured repositories for a matching file name. The full path (including the directory part) of the first file found is written to stdout.

OPTIONS

--config <file>
    Use given file as configuration file.

--repository <directory>, -r <directory>
    Add a directory to the list of repositories.

--help, -h
    Write short usage summary and exit.

ENVIRONMENT
OO2CRC holds the name of the configuration file. OOC_REPS is a list of repository paths, separated by colons (:). Empty paths are ignored.

DIAGNOSTICS
Exit status is 0 if a matching file is found, and 1 otherwise.

SEE ALSO
oo2c(1), OOC2 Reference Manual

AUTHOR
Michael van Acken <mva@users.sf.net>